Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
Class GroovyPageTagWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter
                  org.codehaus.groovy.grails.web.pages.FastStringWriter
                      org.codehaus.groovy.grails.web.taglib.GroovyPageTagWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class GroovyPageTagWriter

extends FastStringWriter

A temporary writer used by GSP to write to a StringWriter and later retrieve the value. It also converts nulls into blank strings.

Since:
  0.5
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.util.GrailsPrintWriter
`allowUnwrappingOut, out, trouble`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`GroovyPageTagWriter(boolean preferSubChunkWhenWritingToOtherBuffer)`

Method Summary
`String` | `getValue()`

Methods inherited from class org.codehaus.groovy.grails.web.pages.FastStringWriter
`getBuffer, getReader, toString`

Methods inherited from class org.codehaus.groovy.grails.web.util.GrailsPrintWriter
`append, append, append, append, append, checkError, clone, flush, getFinalTarget, getOut, handleIOException, isAllowUnwrappingOut, isFinalTargetHere, isUsed, leftShift, leftShift, leftShift, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setFinalTargetHere, setUsed, write, write, write, write, write, write, write`

Methods inherited from class java.io.PrintWriter
`clearError, close, format, format, printf, printf, setError`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyPageTagWriter

    public GroovyPageTagWriter(boolean preferSubChunkWhenWritingToOtherBuffer)

Method Detail

### getValue

    public String getValue()

  Overrides:
    `getValue` in class `FastStringWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD